Bug 698998 (CVE-2011-1746) - CVE-2011-1746 kernel: agp: insufficient page_count parameter checking in agp_allocate_memory()
Summary: CVE-2011-1746 kernel: agp: insufficient page_count parameter checking in agp_...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1746
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 699009 699010 699011 699305 699306
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-22 15:19 UTC by Petr Matousek
Modified: 2019-09-29 12:44 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 12:41:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0927 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-07-15 06:07:56 UTC
Red Hat Product Errata RHSA-2011:1253 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2011-09-12 19:43:48 UTC
Red Hat Product Errata RHSA-2011:1350 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-10-05 21:47:16 UTC

Description Petr Matousek 2011-04-22 15:19:13 UTC
page_count is copied from userspace.  agp_allocate_memory() tries to
check whether this number is too big, but doesn't take into account the
wrap case.  Also agp_create_user_memory() doesn't check whether
alloc_size is calculated from num_agp_pages variable without overflow.
This may lead to allocation of too small buffer with following buffer
overflow.

Reference and patch:
https://lkml.org/lkml/2011/4/14/294

Comment 4 Eugene Teo (Security Response) 2011-04-25 02:27:38 UTC
Upstream commit:
http://git.kernel.org/linus/b522f02184b413955f3bc952e3776ce41edc6355

Comment 5 Eugene Teo (Security Response) 2011-04-25 02:32:39 UTC
Statement:

This issue affects the versions of Linux kernel as shipped with Red Hat Enterprise 4, 5, 6, and Red Hat Enterprise MRG. This has been addressed in Red Hat Enterprise Linux 5, 6, and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-0927.html, https://rhn.redhat.com/errata/RHSA-2011-1350.html, and https://rhn.redhat.com/errata/RHSA-2011-1253.html. Red Hat Enterprise Linux 4 is now in Production 3 of the maintenance life-cycle, https://access.redhat.com/support/policy/updates/errata/, therefore the fix for this issue is not currently planned to be included in the future updates.

Comment 6 errata-xmlrpc 2011-07-15 06:08:49 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0927 https://rhn.redhat.com/errata/RHSA-2011-0927.html

Comment 8 Vincent Danen 2011-09-12 18:40:48 UTC
Acknowledgements:

Red Hat would like to thank Vasiliy Kulikov of Openwall for reporting this issue.

Comment 9 errata-xmlrpc 2011-09-12 19:44:24 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2011:1253 https://rhn.redhat.com/errata/RHSA-2011-1253.html

Comment 10 errata-xmlrpc 2011-10-05 21:47:30 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1350 https://rhn.redhat.com/errata/RHSA-2011-1350.html


Note You need to log in before you can comment on or make changes to this bug.